% Fakten:
planet(jupiter,sonne).  % Jupiter ist ein Planet der Sonne
planet(erde,sonne).     % Die Erde ist ein Planet der Sonne
mond(uranus,jupiter).   % Uranus ist ein Mond des Jupiter
mond(mond,erde).        % Der Mond ist ein Mond der Erde
% Regeln:
% X umkreist Y, wenn X ein Mond oder ein Planet von Y ist:
umkreist(X,Y) :-                 
    (mond(X,Y) ; planet(X,Y)).   
% X umkreist Y, wenn X Mond eines Sterns Z ist, der Y umkreist
umkreist(X,Y) :-                 
    mond(X,Z), umkreist(Z,Y).    
